import { Collision } from './collision';

export interface EntityDataInput {
	readonly sprite: string;
	readonly anchor?: [number, number];
	readonly collision?: Collision[];
}

export class EntityData {
	public readonly sprite: string;
	public readonly anchor: [number, number];
	public readonly collision: Collision[];

	constructor(input: EntityDataInput) {
		this.sprite = input.sprite;
		this.anchor = input.anchor || [0.5, 0.5];
		this.collision = input.collision || [];
	}
}
